# mdtraj.compute_phi

mdtraj.compute_phi(traj, periodic=True, opt=True)

  Calculate the phi torsions of a trajectory.

  Parameters:

    - traj (Trajectory) – Trajectory for which you want dihedrals.

    - periodic (bool, default=True) – If periodic is True and the trajectory contains unitcell information, we will treat dihedrals that cross periodic images using the minimum image convention.

    - opt (bool, default=True) – Use an optimized native library to calculate angles.

  Returns:

    - indices (np.ndarray, shape=(n_phi, 4)) – The indices of the atoms involved in each of the phi dihedral angles

    - angles (np.ndarray, shape=(n_frames, n_phi)) – The value of the dihedral angle for each of the angles in each of the frames.